Skip to main content
GET
/
connections
TypeScript
const response: Promise<FireblocksResponse<GetConnectionsResponse>> = fireblocks.web3Connections.get(web3ConnectionsApiGetRequest);
{
  "data": [
    {
      "id": "4e9e7051-f3b2-48e9-8ee6-b12492552657",
      "userId": "<string>",
      "sessionMetadata": {
        "appUrl": "<string>",
        "appName": "<string>",
        "appDescription": "<string>",
        "appIcon": "<string>"
      },
      "vaultAccountId": 1,
      "feeLevel": "MEDIUM",
      "chainIds": [
        "ETH",
        "ETH_TEST",
        "SOL"
      ],
      "connectionType": "WalletConnect",
      "connectionMethod": "API",
      "creationDate": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "next": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-End-User-Wallet-Id
string<uuid>

Unique ID of the End-User wallet to the API request. Required for end-user wallet operations.

Query Parameters

order
enum<string>
default:ASC

List order; ascending or descending.

Available options:
ASC,
DESC
filter
object

Parsed filter object

sort
enum<string>
default:createdAt

Property to sort Web3 connections by.

Available options:
id,
userId,
vaultAccountId,
createdAt,
feeLevel,
appUrl,
appName
pageSize
number
default:10

Amount of results to return in the next page.

Required range: x <= 50
next
string

Cursor to the next page

Response

data
object[]
required

Array with the requested Web3 connection's data

paging
object